New customers: 5% off orders over $300 | Worldwide shipping from Shenzhen · 30,000+ technicians served Track Your Order FAQ

Tools

Start with the exact device model when choosing replacement parts. For repair equipment, compare the task, supported models, voltage and plug, compatible tips or fixtures, and package contents.

1567 products found

Category

Brand

Price (USD)

—

Sort by

Reset
1285 products found
Mijing DM-12 Coaxial Polishing Pen -11%
MiJing
Mijing DM-12 Coaxial Polishing Pen
No reviews yet · In Stock
$7.99 $8.99
CODE: CLN-CLN044
MaAnt M098 LCD Limit Glue Removal Knife -20%
MaAnt
MaAnt M098 LCD Limit Glue Removal Knife
No reviews yet · In Stock
$3.99 $4.99
CODE: ADH-REM009
2UUL FM02 TipTune High-Grit Sponge Pad For Ultra-Fine Polishing Set -40%
2UUL
2UUL FM02 TipTune High-Grit Sponge Pad For Ultra-Fine Polishing Set
No reviews yet · In Stock
$2.99 $4.99
CODE: CLN-CLN045
2UUL DA90 BB nano 30W Superpower Fan for Precise Cooling and Dust Reoving
2UUL
2UUL DA90 BB nano 30W Superpower Fan for Precise Cooling and Dust Reoving
No reviews yet · In Stock
$24.49 $26.99
CODE: CLN-CLN046
WYLIE MORO-35 Grinding Tool for Polishing Blades/Tweezers/Iron Tips -24%
WYLIE
WYLIE MORO-35 Grinding Tool for Polishing Blades/Tweezers/Iron Tips
No reviews yet · In Stock
$18.99 $24.99
CODE: RF-RFC005
MaAnt M100 Fly Wire Conductive Silver Paste for iPhone ITO Conductive Flexible Screen Repair -25%
MaAnt
MaAnt M100 Fly Wire Conductive Silver Paste for iPhone ITO Conductive Flexible Screen Repair
No reviews yet · In Stock
$2.99 $3.99
CODE: SLD-PST034
2UUL CL05 Everyday Glass Cleaning Wiper (4x100pcs/box) -25%
2UUL
2UUL CL05 Everyday Glass Cleaning Wiper (4x100pcs/box)
No reviews yet · In Stock
$2.99 $3.99
CODE: CLN-CLN047
2UUL SC12 SpareScrew12 Phillips Screws for Android Phone Repairs (1200Pcs/Pack) -18%
2UUL
2UUL SC12 SpareScrew12 Phillips Screws for Android Phone Repairs (1200Pcs/Pack)
No reviews yet · In Stock
$4.49 $5.49
CODE: RF-RFC006
2UUL BL01 MicroFix Hook Blades for Phone PCB Underfill Clean 4pcs/Set -20%
2UUL
2UUL BL01 MicroFix Hook Blades for Phone PCB Underfill Clean 4pcs/Set
No reviews yet · In Stock
$3.99 $4.99
CODE: CLN-PCB019
2UUL Back Cover Sealing Adhesive for iP14-17 Series (5pcs/Pack) -33%
2UUL
2UUL Back Cover Sealing Adhesive for iP14-17 Series (5pcs/Pack)
No reviews yet · In Stock
$1.99 $2.99
CODE: RF-RFC007
2UUL WAHE Removable Narrow Bezel Adhesive 50ml -25%
2UUL
2UUL WAHE Removable Narrow Bezel Adhesive 50ml
No reviews yet · In Stock
$1.49 $1.99
CODE: ADH-GLU016
Mechanic Bull One High-Torque Adhesive Remover -12%
MECHANIC
Mechanic Bull One High-Torque Adhesive Remover
No reviews yet · In Stock
$14.99 $16.99
CODE: ADH-REM010
Mechanic iClean-E08P Ultrasonic Cleaner for PCB Camera Glasses Cleaning -11%
MECHANIC
Mechanic iClean-E08P Ultrasonic Cleaner for PCB Camera Glasses Cleaning
No reviews yet · In Stock
$23.99 $26.99
CODE: CLN-CLN048
2UUL CL15 Dual-Ended Cleaning Brush for PCB Clean -18%
2UUL
2UUL CL15 Dual-Ended Cleaning Brush for PCB Clean
No reviews yet · In Stock
$3.29 $3.99
CODE: CLN-CLN049
Liquid Dispenser Bottles -26%
Proskit
Liquid Dispenser Bottles
No reviews yet · In Stock
$3.69 $5.00
CODE: CLN-DIS008
Goot Weak Acid Soldering Solder Paste Flux BS-10/15 -32%
goot
Goot Weak Acid Soldering Solder Paste Flux BS-10/15
No reviews yet · In Stock
$2.39 $3.50
CODE: SLD-FLX027
MECHANIC ROHS Lead-Free Solder Paste 40g -40%
MECHANIC
MECHANIC ROHS Lead-Free Solder Paste 40g
No reviews yet · In Stock
$2.99 $5.00
CODE: SLD-PST035
Relife RL-403S Syringe Type Solder Paste -25%
ReLife
Relife RL-403S Syringe Type Solder Paste
No reviews yet · In Stock
$2.99 $3.99
CODE: SLD-PST036
2UUL GL03 Camera Lens Cleaner Synthetic Resin Gel Tube Type 30g -29%
2UUL
2UUL GL03 Camera Lens Cleaner Synthetic Resin Gel Tube Type 30g
No reviews yet · In Stock
$4.99 $6.99
CODE: CLN-CLN050
Zhanlida T7000 Black Contact Adhesive Repair Glue(10PCS) -17%
ZHANLIDA
Zhanlida T7000 Black Contact Adhesive Repair Glue(10PCS)
No reviews yet · In Stock
$4.99 $5.99
CODE: ADH-GLU019
QianLi ToolPlus UVC17 Integrated UV Curing Lamp
QIANLI
QianLi ToolPlus UVC17 Integrated UV Curing Lamp
No reviews yet · In Stock
$37.99 $38.99
CODE: SLD-UVM012
QianLi ToolPlus UVX24Integrated UV Curing Lamp -11%
QIANLI
QianLi ToolPlus UVX24Integrated UV Curing Lamp
No reviews yet · In Stock
$97.99 $109.99
CODE: SLD-UVM013
Mega iDea Aluminum Alloy Syringe Push Rod
MEGA-IDEA
Mega iDea Aluminum Alloy Syringe Push Rod
No reviews yet · In Stock
$2.39 $2.59
CODE: SLD-PST037
RELIFE HW32 Lead-free solder paste -16%
ReLife
RELIFE HW32 Lead-free solder paste
No reviews yet · In Stock
$4.19 $4.99
CODE: SLD-PST040

Subscribe to our newsletter

Be the first to know about new arrivals and promotions.